Subject: 30.2; shell-mode doesn't hide password

From: André A. Gomes <[email-masked]>
Date: Wed, 10 Sep 2025 16:08:47 +0100

Hello,

I'm using shell-mode to copy a file to a remote machine:

--8<---------------cut here---------------start------------->8---
scp /file/path host-name:/file/path
--8<---------------cut here---------------end--------------->8---

The ssh connection requires inserting the password and I'd expect that
shell-mode would replace each of the characters with a placeholder (like
asterisks).  However, it exposes the password on the screen.

In case it matters, the remote machine is a FreeBSD machine running
locally on QEMU, where I am passing the flag "-net
user,hostfwd=tcp::2222-:22".

Thanks.

-- 
André A. Gomes
"You cannot even find the ruins..."